%bcond_without check
%global debug_package %{nil}

%global crate peg-macros

Name:           rust-peg-macros0.6
Version:        0.6.3
Release:    1%{?dist}
Summary:        Procedural macros for rust-peg

License:        MIT
URL:            https://crates.io/crates/peg-macros
Source0:        %{crates_source}
Source1:        https://github.com/kevinmehall/rust-peg/raw/%{version}/LICENSE
Patch:          peg-macros-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Procedural macros for rust-peg. To use rust-peg, see the `peg` crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trace-devel %{_description}

This package contains library source intended for building other packages which
use the "trace" feature of the "%{crate}" crate.

%files       -n %{name}+trace-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp -pav %{SOURCE1} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.3-1
- initial build
